BUILT_RCPP_VERSION = package_version("0.11.0")

.onLoad <-
    function(libname, pkgname) {
      ## checkeing installed vs build-time Rcpp version
      if (Sys.info()['sysname'] %in% c("Darwin", "Windows")) {
        installedRcpp <- utils::packageVersion("Rcpp")
          if (installedRcpp != BUILT_RCPP_VERSION) { # use > instead of !=?            
            msg <- paste0("mzR has been built against a different Rcpp version (", BUILT_RCPP_VERSION, ")\n",
                         "than is installed on your system (", installedRcpp, "). This might lead to errors\n",
                         "when loading mzR. If you encounter such issues, please send\n",
                         "a report, including the output of sessionInfo() to the Bioc\n",
                         "mailing list -- http://www.bioconductor.org/help/mailing-list.")
            warning(msg)            
          }
      }
      require2 <- require
      require2("methods", character.only = TRUE, quietly = TRUE)
      loadRcppModules()

    }
